rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Fields
rpmop_s Struct Reference
I/O » Statistics API.

`#include <rpmsw.h>`

Collaboration diagram for rpmop_s:
[legend]

## Data Fields
struct rpmsw_s | begin
int | count
size_t | bytes
rpmtime_t | usecs

## Detailed Description

Cumulative statistics for an operation.

## Field Documentation

## ◆ begin

struct rpmsw_s rpmop_s::begin

Starting time stamp.

## ◆ bytes

size_t rpmop_s::bytes

Number of bytes transferred.

## ◆ count

int rpmop_s::count

Number of operations.

## ◆ usecs

rpmtime_t rpmop_s::usecs

Number of ticks.

The documentation for this struct was generated from the following file:

- /home/mdomonko/code/rpm/stable/include/rpm/rpmsw.h